Copyright: © 1998 Visio Corporation. All rights reserved.
Citation: IntelliCAD 98 Online Help © 1998 Visio Corporation. All rights reserved.


IntelliCAD System Variables

Click a letter to go to that section.

A

ACADPREFIX	Not implemented.

ACADVER	Stores the version number 14i. Required for AutoCAD compatibility only.

ACISOUTVER	Not implemented. Required for AutoCAD compatibility only.

AFLAGS	Stores attribute flags for the ATTDEF command.

ANGBASE 	Sets the base angle datum relative to the active User Coordinate System (UCS).

ANGDIR 	Sets the orientation of the positive direction relative to the active UCS.

APERTURE 	Sets entity snap selection area in pixels.

AREA 	Stores the last area calculated by commands such as LIST or AREA.

ATTDIA 	Controls whether attribute value entries are processed via a dialog or command line prompt.

ATTMODE 	Turns the display of attributes on or off (visible or invisible), or maintains their active assigned state.

ATTREQ 	Controls whether default attribute settings are used during insertion of blocks.

AUDITCTL 	Not implemented.

AUNITS 	Sets the unit of measurement for angles.

AUPREC 	Sets the decimal precision for angular units.

AUTOMENULOAD 	Determines whether a menu file associated with a drawing gets loaded or the default menu gets loaded when you open a drawing.

AXISMODE 	Not implemented. Required for AutoCAD compatibility only.

AXISUNIT	Not implemented. Required for AutoCAD compatibility only.

B

BASEFILE 	Stores the default prototype drawing used in the creation of all new IntelliCAD drawings.

BKGCOLOR 	Stores the color of the background of the drawing window in IntelliCAD.

BLIPMODE 	Controls marker blip visibility. Marker blips are visible if on, invisible if off.

C

CDATE 	Stores calendar date and time based on a Julian calendar.

CECOLOR 	Assigns a color to new entities without changing the color of existing entities.

CELTSCALE 	Stores the linetype scale for entities.

CELTYPE 	Stores the linetype of new entities.

CHAMFERA 	Stores the first chamfer distance associated with the distance-distance method.

CHAMFERB 	Stores the second chamfer distance associated with the distance-distance method.

CHAMFERC 	Stores the distance of the chamfer associated with the distance-angle method.

CHAMFERD 	Stores the angle of the chamfer associated with the distance-angle method.

CHAMMODE 	Determines whether the chamfer is created based on the input of two distances, or an angle and a distance.

CIRCLERAD 	Stores the default radius for circle.

CLAYER 	Stores the active layer.

CMDACTIVE 	Stores the information specifying whether a script, dialog box, command, or transparent command is active.

CMDDIA 	Controls whether dialog boxes are turned on for commands.

CMDECHO 	Toggles echoing on (debug mode) or off (run mode) when using the AutoLISP function.

CMDLNTEXT 	Changes the command line word or symbol indicating that the program is ready for a command.

CMDNAMES 	Shows the name of the command or transparent command in use.

CMLJUST 	Not implemented. Required for AutoCAD compatibility only.

CMLSCALE 	Not implemented. Required for AutoCAD compatibility only.

CMLSTYLE 	Not implemented. Required for AutoCAD compatibility only.

COLORX 	Color of the X-axis in the UCS icon and cursor crosshair.

COLORY 	Color of the Y-axis in the UCS icon and cursor crosshair.

COLORZ 	Color of the Z-axis in the UCS icon and cursor crosshair.

COORDS 	Controls the update of coordinates on the status line.

CVPORT 	Sets the current viewport's identification number. To change the current viewport, the identification number specified must be for an active viewport.

D

DATE 	Stores the current system date and time.

DBMOD	Stores the drawing modification status using bit-code to indicate the current status.

DCTCUST 	Stores the path and file name of the custom spelling dictionary.

DCTMAIN 	Stores the path and file name of the main spelling dictionary.

DELOBJ 	Allows you to retain or delete entities used to create other entities. For example, MIRROR and MIRROR3D are two commands that use this variable to retain or delete the original mirrored entity.

DIASTAT 	Stores information about the method used to exit the most recently used dialog box.

DIMADEC 	Determines the number of decimal places used for displaying angular dimension text.

DIMALT 	Controls the ability to use alternate unit systems in linear dimensions in addition to the default units.

DIMALTD 	Not implemented. Required for AutoCAD compatibility only.

DIMALTF 	Not implemented. Required for AutoCAD compatibility only.

DIMALTTD 	Not implemented. Required for AutoCAD compatibility only.

DIMALTTZ 	Not implemented. Required for AutoCAD compatibility only.

DIMALTU 	Not implemented. Required for AutoCAD compatibility only.

DIMALTZ 	Not implemented. Required for AutoCAD compatibility only.

DIMAPOST 	Not implemented. Required for AutoCAD compatibility only.

DIMASO 	Toggles on or off the creation of associative dimensions.

DIMASZ 	Sets the size of the dimension arrowheads.

DIMAUNIT 	Controls the unit format for angular dimensions.

DIMBLK 	Substitutes a user-specified block instead of the arrowheads for both ends of a dimension line.

DIMBLK1 	Substitutes a user-specified block instead of the arrowhead for the first end of the dimension line.

DIMBLK2 	Substitutes a user-specified block instead of the arrowhead for the second end of the dimension line.

DIMCEN 	Controls the display of center marks and center lines for circles and arcs. A value of 0 turns off center marks and lines.

DIMCLRD 	Allows you to change the color of the dimension lines, leader, and arrowheads.

DIMCLRE 	Sets colors for dimension extension lines.

DIMCLRT 	Sets colors for dimension text.

DIMDEC 	Sets the decimal display value for dimensions.

DIMDLE 	Controls the distance beyond the extension line that the dimension line extends when using dimension lines with oblique strokes.

DIMDLI 	Controls the spacing offset of the dimension lines when drawing baseline dimensions.

DIMEXE 	Determines how far extension lines stretch beyond dimension lines.

DIMEXO 	Controls the amount of space between the entity being dimensioned and the extension line.

DIMFIT 	Places arrowheads and text inside or outside extension lines based on the space available between extension lines.

DIMGAP 	Controls the amount of space before and after the dimension text and the closest end of the dimension line.

DIMJUST 	Sets the horizontal position of the dimension text to one of the following options: centered (0, the default value); next to the first extension line (1); next to the second extension line (2); perpendicular to the first extension line (3); perpendicular to the second extension line (4).

DIMLFAC 	Specifies the scale factor for linear dimensions.

DIMLIM 	Not implemented. Required for AutoCAD compatibility only.

DIMPOST 	Indicates the prefix or suffix for dimension measurements.

DIMRND 	Allows you to round off dimension measurements to the specified value.

DIMSAH 	Toggles on or off the use of custom-defined blocks for dimension arrowheads.

DIMSCALE 	Controls the scale factor for variables affecting dimensioning size, distance, and offset.

DIMSD1 	Toggles on or off the display of the first dimension line.

DIMSD2 	Toggles on or off the display of the second dimension line.

DIMSE1 	Toggles on or off the display of the first extension line.

DIMSE2 	Toggles on or off the display of the second extension line.

DIMSHO 	Controls the update of dimension measurements while increasing or decreasing the size of a dimensioned entity.

DIMSOXD 	Toggles on or off the placement of dimension lines outside the extension lines.

DIMSTYLE 	Allows you to list the available dimension styles and apply a new style from those available.

DIMTAD 	Determines the vertical placement of dimension text in relation to the dimension line. The default value (0) centers the dimension text between the dimension lines. The other values allow you to place the dimension text above or below the dimension line.

DIMTDEC 	Allows you to specify the number of decimal places to display tolerance values in a dimension.

DIMTFAC 	Not implemented.

DIMTIH 	Positions dimension text inside the extension lines either horizontally (on) or aligned with the dimension line (off).

DIMTIX 	Positions dimension text between extension lines.

DIMTM 	Not implemented.

DIMTOFL 	Toggles on or off the drawing of a dimension line between the extension lines when the text is placed outside the measured points.

DIMTOH 	Sets the placement of dimension text outside the extension lines. The default value (1) draws text horizontally. Changing the value to off (0) aligns text with the dimension line.

DIMTOL 	Not implemented.

DIMTOLJ 	Not implemented.

DIMTP 	Not implemented.

DIMTSZ 	Determines the size of the oblique strokes drawn, replacing the arrowheads in linear, radius, and diameter dimensioning.

DIMTVP 	Sets the vertical position of dimension text relative to the dimension line.

DIMTXSTY 	Specifies a new value for the dimension text style.

DIMTXT 	Specifies the height of dimension text. If the current text has a fixed height, DIMTXT will not override this setting.

DIMTZIN 	Determines the suppression of zeros in measurements and decimal dimensions when applying tolerance values.

DIMUNIT 	Allows you to set the format for dimension units to the following: Scientific (1), Decimal (2), Engineering (3), Architectural -- stacked (4), Fractional -- stacked (5), Architectural (6), Fractional (7), Windows Desktop (8).

DIMUPT 	Allows you the option of controlling only the dimension line location, or both the dimension line location and the text position.

DIMZIN 	Toggles the suppression of zeros in tolerance values.

DISPSILH	Not implemented.

DISTANCE 	Saves the distance calculated by DIST.

DONUTID 	Specifies the default value for the inside diameter of a donut.

DONUTOD 	Outer diameter of the donut.

DRAGMODE 	Controls the display of entities as you drag them. When set to on, DRAGMODE displays an outline of the entities as you drag them.

DRAGOPEN 	Inserts or opens a drawing file that has been dragged from the desktop onto the drawing area.

DWGCODEPAGE 	Required for AutoCAD compatibility only.

DWGNAME 	Stores the drawing name.

DWGPREFIX 	Stores the full path for the drawing.

DWGTITLED 	Stores data regarding whether the current drawing has been named or not.

E

EDGEMODE 	Controls the cutting and boundary edge settings for the TRIM and EXTEND commands.

ELEVATION 	Stores the elevation value in the UCS for the active workspace (model or paper).

ERRNO 	Stores the value of the last error.

EXPERT 	Limits the details of the prompts displayed in the Command Bar. 0 is the default value to display the most prompts. 5 is the most restrictive, displaying the simplest prompts.

EXPLEVEL 	Determines the user experience level. You can set the experience level to one of the following: 1=beginner, 2=intermediate, 3=advanced.

EXPLMODE 	Determines whether the EXPLODE command explodes nonuniformly scaled blocks.

EXPLSTBLK 	Controls column width for the Block(s) element settings in the Drawing Explorer.

EXPLSTLAY 	Controls column width for the Layer(s) element settings in the Drawing Explorer.

EXPLSTLT 	Controls column width for the Linetype(s) element settings in the Drawing Explorer.

EXPLSTTS 	Controls column width for the Styles(s) element settings in the Drawing Explorer.

EXPLSTUCS 	Controls column width for the Coordinate System(s) element settings in the Drawing Explorer.

EXPLSTVW 	Controls column width for the View(s) element settings in the Drawing Explorer.

EXTMAX 	Retains the upper-right point of the drawing extents.

EXTMIN 	Retains the lower-left point of the drawing extents.

F

FACETRES 	Not implemented. Required for AutoCAD compatibility only.

FASTZOOM 	Not implemented.

FILEDIA 	Toggles on and off the display of the file dialog boxes.

FILLETRAD 	Stores the current settings for the fillet radius.

FILLMODE 	Determines whether the SOLID command creates filled-in entities.

FONTALT 	Provides an alternate font to be used when a font specified in the drawing is unavailable.

FONTMAP 	Designates the font mapping file used by the program when substituting one font for another.

G

GRIDMODE 	Toggles the grid on or off.

GRIDUNIT 	Stores in the .DWG file the x and y grid spacing for the active viewport.

GRIPBLOCK 	Determines whether only one grip point for a block displays or if the grip points for all the entities in the block display. For example, the value 0 assigns a grip to only the block's insertion point. The value 1 assigns grips to all entities in the block.

GRIPCOLOR 	Determines the color of unselected grips.

GRIPHOT 	Determines the color of selected grips.

GRIPS 	Toggles on and off the use of selection set grips.

GRIPSIZE 	Saves the size of the box (in pixels) used to display grips.

H

HANDLES 	Indicates whether handles are being used in the drawing.

HANDSEED 	Stores the value for the next available handle name.

HIGHLIGHT 	Toggles object highlighting on or off.

HPANG 	Sets the angle of the hatch pattern.

HPBOUND 	Not implemented. Required for AutoCAD compatibility only.

HPDOUBLE 	Determines whether cross-hatching is on or off.

HPNAME 	Stores the default hatch pattern name.

HPSCALE 	Stores the default scale factor for hatch patterns.

HPSPACE 	Designates the line spacing in user-defined hatch patterns.

HPSTYLE 	Determines the hatch pattern style. 0=Standard pattern style, 1=Outer pattern style, 2=Hatch all.

I

ICADVER 	Stores the IntelliCAD version information.

INSBASE 	Stores the base point location for inserting a drawing as set by the BASE command.

INSNAME 	Specifies a default block name to be used with the INSERT command.

ISAVEPERCENT 	Not implemented.

ISOLINES 	Designates the number of per surface isolines on entities.

J

K

L

LASTANGLE 	Stores the value of the end angle for the last arc created relative to the current user coordinate system (UCS).

LASTCMDPT 	Stores the value of the last point entered relative to the current user coordinate system (UCS).

LASTPOINT 	Stores the value of the last point entered relative to the current user coordinate system (UCS).

LASTPROMPT 	Stores the last prompt string displayed on the command line.

LENSLENGTH 	Stores the length of the lens used for the active viewport.

LIMCHECK 	Controls whether you can create entities outside the drawing limits.

LIMMAX 	Saves the upper-right drawing limits for the active workspace.

LIMMIN 	Saves the lower-left drawing limits for the active workspace.

LOCALE 	Displays the Windows locale setting.

LOGFILEMODE 	Toggles whether the commands executed in the program are maintained in a log file or not.

LOGFILENAME 	Sets the path for the log file.

LOGINNAME 	Displays the name of the registered user.

LONGFNAME 	Toggles on and off the support for long file names.

LTSCALE 	Sets the default linetype scale factor.

LTSCLWBLK 	Determines whether the global linetype scale will be applied to an inserted block.

LUNITS 	Sets the default linear units. You can set the value to one of the following: 1=Scientific, 2=Decimal, 3=Engineering, 4=Architectural, 5=Fractional.

LUPREC 	Controls the number of decimal places shown for coordinate display and linear units in commands.

LWPOLYOUT 	Controls whether the program converts normal polylines to lightweight polylines when saving a drawing file. The default value (1) converts polylines to lightweight polylines. Changing the value to 0 specifies that polylines will not convert to lightweight polylines.

M

MACROREC 	Toggles on or off the macro recorder.

MACROTRACE 	Toggles on or off MACROTRACE.

MAKEBAK 	Stores an older version of a drawing file with a .bak extension each time the drawing is saved. Changing the default value of 1 to 0 causes the program to overwrite the old version of the file with the new version each time the drawing file is saved.

MAXACTVP 	Designates the maximum number of viewports you can open at any given time.

MAXSORT 	Not implemented.

MEASUREMENT 	Controls whether drawing units display as English or metric measurements.

MENUCTL 	Not implemented.

MENUECHO 	Not implemented.

MENUNAME 	Not implemented.

MIRRTEXT 	Controls the appearance of text modified by the MIRROR command. For example, the default value of 1 mirrors the text, changing the text direction. The value 0 retains the text direction.

MODEMACRO 	Includes a user-defined text string in the status line. For example, you can write text strings to display a time/date stamp, the name of the active drawing, or to indicate special modes.

MTEXTED 	Not implemented.

MWHEELDN 	Stores a menu macro defining what command the program will activate when you roll the mouse wheel down.

MWHEELUP 	Stores a menu macro defining what command the program will activate when you roll the mouse wheel up.

N

NFILELIST 	Shows the number of files in the most recently used list in the File menu.

O

OFFSETDIST 	Changes the default setting for the offset distance. For example, use a value greater than 0 to offset a new entity a specific distance away from the original entity on the side indicated. Use a value less than 0 to offset the new entity through a specific point.

ORTHOMODE 	Restricts cursor movement to perpendicular directions relative to the UCS and grid rotation angle.

OSMODE 	Turns on various entity snap settings using a combination of bit codes.

P

PDMODE 	Controls the appearance of the point that displays when you activate the POINT command.

PDSIZE 	Controls the point display size. The default value (0) specifies a point size 5% of the screen size. A value greater than 0 specifies the absolute size, and a value less than 0 specifies a percentage size.

PELLIPSE 	Controls whether the entity drawn with the ELLIPSE command is a true ellipse or a polyline representation of that ellipse. The default value of 0 draws a true ellipse. Changing the value to 1 creates an ellipse made up of polylines.

PERIMETER 	Retains the most recent perimeter value calculated by the AREA and LIST commands.

PFACEVMAX 	Controls the maximum number of vertices allowed per face.

PICKADD 	Controls how entities are added to a selection set. When set to on, each entity selected is added to the current selection set. When turned off, the most recently selected entity becomes the selection set and previously selected entities are no longer part of the selection set.

PICKAUTO 	Controls use of the selection window at the Select Entities prompt.

PICKBOX 	Specifies the target height for entity selection.

PICKDRAG 	Allows you to draw a selection window using two points or by dragging the selection window from corner to corner.

PICKFIRST 	Determines whether you select entities before or after issuing a command.

PICKSTYLE 	Specifies the use of associative hatch and group selection.

PKSER 	Contains the product identification number.

PLATFORM 	Indicates on which platform IntelliCAD is running.

PLINEGEN 	Determines whether the linetype used around the vertices of a polyline are continuous or dashed. The default value (0) sets the linetype around the vertex to a dash. Setting the value to 1 changes the linetype to a continuous pattern around the vertex of the polyline.

PLINETYPE 	Not implemented.

PLINEWID 	Sets the default polyline width to a value of 0 (the default) or greater.

PLOTID 	Not implemented. Required for AutoCAD compatibility only.

PLOTROTMODE 	Not implemented. Required for AutoCAD compatibility only.

PLOTTER 	Not implemented. Required for AutoCAD compatibility only.

POLYSIDES 	Specifies the default number of sides for the POLYGON command.

POPUPS 	Not implemented.

PROGBAR 	Toggles on and off the display of the progress bar.

PROJMODE 	Specifies the projection mode used with the with the TRIM and EXTEND commands.

PROMPTMENU 	Toggles on and off the display of the prompt menu.

PROXYGRAPHICS 	Not implemented. Required for AutoCAD compatibility only.

PSLTSCALE 	Not implemented. Required for AutoCAD compatibility only.

PSPROLOG 	Not implemented. Required for AutoCAD compatibility only.

PSQUALITY 	Not implemented. Required for AutoCAD compatibility only.

Q

QTEXTMODE 	Toggles Quick Text on and off. When the Quick Text value is set to on (1), text entities are replaced by rectangular boxes. When the Quick Text value is set to off (0), text displays normally.

R

REGENMODE 	Toggles on and off the REGENAUTO command. When the value is set to on (1), your drawing automatically regenerates. When the value is set to off (0), your drawing will not automatically regenerate.

RE-INIT 	Reinitializes the icad.pgp file. The icad.pgp file stores the default program aliases.

S

SAVEFILE 	Stores the extension for the auto-save file name.

SAVENAME 	Stores the file name, including full directory path, of the active drawing.

SAVETIME 	Allows you to set the time interval at which the program automatically saves your drawing. Any value greater than 0 specifies the time in minutes for automatic save to occur. A value of 0 turns off the automatic save feature.

SCREENMODE 	Retains the information about the display of text and graphics. 0 = text screen is displayed, 1=graphics screen is displayed, 2= both screens are displayed.

SCREENSIZE 	Stores the size of the drawing window in pixels.

SCRLHIST 	Sets the number of command lines to track in the command bar.

SHADEDGE 	Determines shading of edges when using the SHADE command.

SHADEDIF 	Not implemented. Required for AutoCAD compatibility only.

SHPNAME 	Not implemented. Required for AutoCAD compatibility only.

SKETCHINC 	Sets the line segment increment for the FREEHAND command.

SKPOLY 	Specifies whether the FREEHAND command creates lines or polylines.

SNAPANG 	Determines the rotation angle for both the snap and reference grids. Entities snap to these grids at the angle specified.

SNAPBASE 	Defines the xy location of the grid origin in the current viewport relative to the active UCS.

SNAPISOPAIR 	Sets the crosshairs to an isometric plane. The default value (0) sets the crosshairs to the left plane. A value of 1 sets the crosshairs to the top plane, and a value of 2 sets the crosshairs to the right plane.

SNAPMODE 	Determines whether snap settings are on or off for the current viewport.

SNAPSTYL 	Sets the snap style for the active viewport to either standard (0) or isometric (1).

SNAPUNIT 	Sets the snap spacing in the x and y direction.

SORTENTS 	Controls the order in which entities are sorted for such operations as entity selection and snap, redraws and regens, and plotting and Postscript output.

SPLFRAME 	Controls whether splines display with or without the polygon created from the specified control points. The default value (0) displays the spline without the control polygon. Changing the value to 1 displays both the spline and its corresponding polygon.

SPLINESEGS 	Works in conjunction with PEDIT Spline to specify the number of line segments created when turning a polygon into a spline. If you select a negative number, the number converts to the absolute value.

SPLINETYPE 	Determines the type of spline curve created when using the PEDIT command to transform a polyline into a spline.

SRCHPATH 	Stores the search path for IntelliCAD files.

SURFTAB1 	Sets the number of facets generated for the RULESURF and TABSURF commands.

SURFTAB2 	Controls the N-direction mesh density for EDGESURF and REFSURF.

SURFTYPE 	Controls the type of surface the PEDIT Smooth command will fit. These surface types include quadratic B-splines, cubic B-splines, and Bezier curves.

SURFU 	Sets the surface density in the primary direction for the 3DMESH command.

SURFV 	Sets the surface density in the secondary direction for the 3DMESH command.

SYSCODEPAGE 	Specifies the system code page.

T

TABMODE 	Not implemented. Required for AutoCAD compatibility only.

TARGET 	Defines the xyz coordinates of the target point for the current UCS.

TBCOLOR 	Changes the toolbar color setting from color (1) to monochrome (0).

TBSIZE 	Changes the tool size from small (0) to large (1).

TDCREATE 	Stores the time and date you created your drawing.

TDINDWG 	Stores the amount of time you spend editing your drawing.

TDUPDATE 	Stores the time and date of the last time you saved your drawing.

TDUSRTIMER 	Stores the amount of time the user spent in the drawing.

TEMPPREFIX 	Stores the path where temporary files are located.

TEXTANGLE 	Stores the default setting for the text angle.

TEXTEVAL 	Determines if a text string is treated as a LISP expression.

TEXTFILL 	Not implemented. Required for AutoCAD compatibility only.

TEXTQLTY 	Not implemented. Required for AutoCAD compatibility only.

TEXTSIZE 	Sets the value for the default text size.

TEXTSTYLE 	Sets the value for the default text style.

THICKNESS 	Sets the value for the default thickness.

TILEMODE 	Toggles on or off tilemode, allowing you to access paper space and model space with floating viewports. When set to a value of 1 (on), you have access to model space with tiled viewports.

TIPOFDAY 	Toggles on or off the Tip of the Day dialog box.

TOOLTIPS 	Toggles on or off tooltips.

TRACEWID 	Stores the value for the default trace width.

TREEDEPTH 	Not implemented. Required for AutoCAD compatibility only.

TREEMAX 	Not implemented. Required for AutoCAD compatibility only.

TRIMMODE 	Controls the trimming of filleted and chamfered edges.

U

UCSFOLLOW 	Displays the plan view in the user coordinate system (UCS) when you change the UCS.

UCSICON 	Changes the placement and display of the UCS icon. The available options include turning the UCS icon on and off, displaying it in all views, displaying it at the origin, and displaying it in the corner.

UCSNAME 	Sets the name of the user coordinate system for the active workspace.

UCSORG 	Sets the xyz origin point of the coordinate system for the active workspace.

UCSXDIR 	Retains the x direction of the active user coordinate system (UCS) for the active workspace.

UCSYDIR 	Retains the y direction of the active user coordinate system (UCS) for the active workspace.

UNDOCTL 	Retains the bit-code value for the UNDO command. This is represented by the sum of the following values: 0=UNDO is off, 1=UNDO is on, 2=UNDO affects only one command, 4=activates the Auto option.

UNDOMARKS 	Saves the number of UNDO marks that you have inserted when using the Mark option in the UNDO command.

UNITMODE 	Toggles on and off the following display formats for units: fractional, feet-and-inches, and surveyor's angles.

USERI1 	User- or application-defined integer value.

USERI2 	User- or application-defined integer value.

USERI3 	User- or application-defined integer value.

USERI4 	User- or application-defined integer value.

USERI5 	User- or application-defined integer value.

USERR1 	User- or application-defined real value.

USERR2 	User- or application-defined real value.

USERR3 	User- or application-defined real value.

USERR4 	User- or application-defined real value.

USERR5 	User- or application-defined real value.

USERS1 	User- or application-defined string value.

USERS2 	User- or application-defined string value.

USERS3 	User- or application-defined string value.

USERS4 	User- or application-defined string value.

USERS5 	User- or application-defined string value.

V

VIEWASPECT 	Stores the aspect ratio of the view.

VIEWCTR 	Stores the value of the center of the view in the active viewport.

VIEWDIR 	Stores the active viewport's viewing direction.

VIEWMODE 	Retains the value indicating whether perspective view is turned on or off.

VIEWSIZE 	Retains the value in drawing units indicating the view height in the active viewport.

VIEWTWIST 	Retains the value entered in the Twist option of the DVIEW command. Also, retains the amount of twist around the Z axis in the active UCS.

VISRETAIN 	Sets layer visibility in xref files.

VSMAX 	Retains the xyz coordinates of the upper-right corner of the active viewport.

VSMIN 	Retains the xyz coordinates of the lower-left corner of the active viewport.

W

WNDBTEXP 	Controls the width of the list pane in the Drawing Explorer.

WNDLCMD 	Controls command bar visibility.

WNDLMAIN 	Controls the display of the main window.

WNDLMDI 	Controls the display of the multiple-document interface (MDI) child window.

WNDLSTAT 	Controls the display of the status bar.

WNDLTEXP 	Controls the display of the Drawing Explorer window.

WNDLTEXT 	Controls the display of the Prompt History window.

WNDPCMD 	Sets the floating command bar window position in screen coordinates.

WNDPMAIN 	Sets the main drawing window position in screen coordinates.

WNDPPMENU 	Sets the prompt menu position in screen coordinates.

WNDPTEXP 	Sets the Drawing Explorer window position in screen coordinates.

WNDPTEXT 	Sets the text screen window position in screen coordinates.

WNDSCMD 	Sets the floating command bar window size.

WNDSMAIN 	Sets the main application window size.

WNDSTEXP 	Sets the Drawing Explorer window size.

WNDSTEXT 	Sets the text screen window size.

WORLDUCS 	Specifies whether the user coordinate system (UCS) is the same as the World Coordinate System (WCS).

WORLDVIEW 	Controls whether the user coordinate system (UCS) aligns with the World Coordinate System (WCS) for the DVIEW and VPOINT commands.

X

XCLIPFRAME 	Not implemented. Required for AutoCAD compatibility only.

XLOADCTL 	Not implemented. Required for AutoCAD compatibility only.

XLOADPATH 	Not implemented. Required for AutoCAD compatibility only.

XREFCTL 	Not implemented. Required for AutoCAD compatibility only.

Y

Z

ZOOMPERCENT 	Sets the incremental zoom percentage used for zooming in or out.


ACADPREFIX

Not implemented.

Type:	String

Saved:	Not saved (read-only)

Default:	" "

 Variable List


ACADVER

Stores the version number 14i. Required for AutoCAD compatibility only.

Type:	String

Saved:	Not saved (read-only)

Default:	14I

 Variable List


ACISOUTVER

Not implemented. Required for AutoCAD compatibility only.

Type:	Integer

Saved:	In the .DWG

Default:	3.0

 Variable List


AFLAGS

Stores attribute flags for the ATTDEF command.

Type:	Integer

Saved:	Not saved

Range:	Sum of the following: 0 (No Attribute mode set), 1 (Invisible), 2 (Constant), 4 (Verify), 8 (Preset)

Default:	0

 Variable List


ANGBASE

Sets the base angle datum relative to the active User Coordinate System (UCS).

Type:	Real

Saved:	In the .DWG file

Range:	0.0000 through 359.9999 <0.0000 through 6.2831>

Default:	0.0000

 Variable List


ANGDIR

Sets the orientation of the positive direction relative to the active UCS.

Type:	Integer

Saved:	In the .DWG file

Range:	0 (Counterclockwise), 1 (Clockwise)

Default:	1

 Variable List


APERTURE

Sets entity snap selection area in pixels.

Type:	Integer

Saved:	In the registry

Range:	1 through 10

Default:	10

 Variable List


AREA

Stores the last area calculated by commands such as LIST or AREA.

Type:	Real (read-only)

Saved:	Not saved

Range:	0 or greater

Default:	0.0000

 Variable List


ATTDIA

Controls whether attribute value entries are processed via a dialog or command line prompt.

Type:	Integer

Saved:	In the .DWG file

Range:	0 (Issues prompts at the command line), 1 (Uses a dialog box)

Default:	0

 Variable List


ATTMODE

Turns the display of attributes on or off (visible or invisible), or maintains their active assigned state.

Type:	Integer

Saved:	In the .DWG file

Range:	0 (All attributes invisible), 1 (Normal - based on setting as defined for the individual attribute), 2 (All attributes visible)

Default:	1

 Variable List


ATTREQ

Controls whether default attribute settings are used during insertion of blocks.

Type:	Integer

Saved:	In the .DWG file

Range:	0 (assumes the defaults for the values of all attributes as defined in the attribute definition), 1 (utilizes the setting for ATTDIA and prompts the user for values either by Command line or dialog)

Default:	1

 Variable List


AUDITCTL

Not implemented.

Type:	Integer

Saved:	In the registry

Range:	0 (prevents the writing of .ADT files), 1 (writes .ADT files)

Default:	0

 Variable List


AUNITS

Sets the unit of measurement for angles.

Type:	Integer

Saved:	In the .DWG file

Range:	0 (decimal degrees 0.0000d), 1 (degrees/minutes/seconds, 0d0'0.00"), 2 (gradians, 0g), 3 (radians, 0r), 4 (surveyor's units, N0.00dE)

Default:	0

 Variable List


AUPREC

Sets the decimal precision for angular units.

Type:	Integer

Saved:	In the .DWG file

Range:	0-8

Default:	0

 Variable List


AUTOMENULOAD
AUTOMENULOAD [IntelliCAD only]

Determines whether a menu file associated with a drawing gets loaded or the default menu gets loaded when you open a drawing.

Type:	Integer

Saved:	In the registry

Range:	0, 1

Default:	1

 Variable List


AXISMODE

Not implemented. Required for AutoCAD compatibility only.

Type:	Boolean

Range:	0, 1

Default:	0

 Variable List


AXISUNIT

Not implemented. Required for AutoCAD compatibility only.

Type:	Point

Default:	X=0.0000 Y=0.0000 Z=0.0000

 Variable List


BASEFILE
BASEFILE [IntelliCAD only]

Stores the default prototype drawing used in the creation of all new IntelliCAD drawings.

Type:	String

Saved:	In the registry

Default:	"icad.dwg"

 Variable List


BKGCOLOR
BKGCOLOR [IntelliCAD only]

Stores the background color of the drawing window in IntelliCAD.

Type:	Integer

Saved:	In the registry

Range:	0 through 256

Default:	256

 Variable List


BLIPMODE

Controls marker blip visibility. Marker blips are visible if on, invisible if off.

Type:	Integer

Saved:	In the .DWG file

Range:	0 (Marker blips are off), 1 (Marker blips are on)

Default:	0

 Variable List


CDATE

Stores calendar date and time based on a Julian calendar.

Type:	Real

Saved:	Not Saved

Default:	Current date and time

 Variable List


CECOLOR

Assigns a color to new entities without changing the color of existing entities.

Type:	String

Saved:	In the .DWG file

Range:	"BYLAYER", BYBLOCK", "RED", "YELLOW", "GREEN", "BLUE", CYAN", "MAGENTA", "WHITE", "8" through "255"

Default:	"BYLAYER"

 Variable List


CELTSCALE

Stores the linetype scale for entities.

Type:	Real

Saved:	In the .DWG file

Range:	0.0000 or greater

Default:	1.0000

 Variable List


CELTYPE

Stores the linetype of new entities.

Type:	String

Saved:	In the .DWG file

Range:	"BYLAYER", "BYBLOCK", or any valid defined and loaded linetype.

Default:	"BYLAYER"

 Variable List


CHAMFERA

Stores the first chamfer distance associated with the distance-distance method.

Type:	Real

Saved:	In the .DWG file

Range:	0.0000 or greater

Default:	0.5000

 Variable List


CHAMFERB

Stores the second chamfer distance associated with the distance-distance method.

Type:	Real

Saved:	In the .DWG file

Range:	0.0000 or greater

Default:	0.5000

 Variable List


CHAMFERC

Stores the distance of the chamfer associated with the distance-angle method.

Type:	Real

Saved:	In the .DWG file

Range:	0.0000 or greater

Default:	0.0000

 Variable List


CHAMFERD

Stores the angle of the chamfer associated with the distance-angle method.

Type:	Real

Saved:	In the .DWG file

Range:	0.000 through 359.9999 <0.0000 through 6.2831>

Default:	0.0000

 Variable List


CHAMMODE

Determines whether the chamfer is created based on the input of two distances, or an angle and a distance.

Type:	Integer

Saved:	Not Saved

Range:	0 (Requires two chamfer distances, CHAMFERA and CHAMFERB); 1 (Requires one chamfer distance, CHAMFERC, and an angle, CHAMFERD)

Default:	0

 Variable List


CIRCLERAD

Stores the default radius for circle.

Type:	Real

Saved:	Not Saved

Range:	0.0000 or greater

Default:	0.0000

 Variable List


CLAYER

Stores the active layer.

Type:	String

Saved:	In the .DWG file

Range:	"0" or valid existing layer name

Default:	"0"

 Variable List


CMDACTIVE

Stores the information specifying whether a script, dialog box, command, or transparent command is active.

Type:	Integer

Saved:	Not saved (Read-only)

Range:	Sum of the following: 1 (Ordinary command is active), 2 (Ordinary command and a transparent command are active), 4 (Script is active), 8 (Dialog box is active), 16 (AutoLISP or DDE command is active)

Default:	1

 Variable List


CMDDIA

Controls whether dialog boxes are turned on for commands.

Type:	Integer

Saved:	In the registry

Range:	0 (Turns off dialog boxes), 1 (Turns on dialog boxes)

Default:	1

 Variable List


CMDECHO

Toggles echoing on (debug mode) or off (run mode) when using the AutoLISP function.

Type:	Integer

Saved:	Not saved

Range:	0 (Turns off echoing), 1 (Turns on echoing)

Default:	1

 Variable List


CMDLNTEXT

Changes the command line word or symbol indicating that the program is ready for a command.

Type:	String

Saved:	In the registry

Default:	":"

 Variable List


CMDNAMES

Shows the name of the command or transparent command in use.

Type:	String (Read-only)

Saved:	Not saved

Range:	Any valid IntelliCAD Command

Default:	<none>

 Variable List


CMLJUST

Not implemented. Required for AutoCAD compatibility only.

Type:	Integer

Saved:	In the. DWG file

Range:	0 (Top), 1 (Middle), 2 (Bottom)

Default:	0

 Variable List


CMLSCALE

Not implemented. Required for AutoCAD compatibility only.

Type:	Real

Saved:	In the .DWG file

Range:	+/-

Default:	1.0000

 Variable List


CMLSTYLE

Not implemented. Required for AutoCAD compatibility only.

Type:	String

Saved:	In the .DWG file

Range:	"STANDARD" or any valid loaded multiline style name

Default:	"STANDARD"

 Variable List


COLORX

Color of the x-axis in the UCS icon and cursor crosshair.

Type:	Integer

Saved:	In the registry

Range:	0 through 255

Default:	1

 Variable List


COLORY

Color of the y-axis in the UCS icon and cursor crosshair.

Type:	Integer

Saved:	In the registry

Range:	0 through 255

Default:	3

 Variable List


COLORZ

Color of the z-axis in the UCS icon and cursor crosshair.

Type:	Integer

Saved:	In the registry

Range:	0 through 255

Default:	5

 Variable List


COORDS

Controls the update of coordinates on the status line.

Type:	Integer

Saved:	In the .DWG file

Range:	0 (updated as you specify points), 1 (absolute coordinates are continuously updated), 2 (absolute coordinates are continuously updated, and the angle from the last point is shown when you request a distance or angle).

Default:	1

 Variable List


CVPORT

Sets the current viewport's identification number. To change the current viewport, the identification number specified must be for an active viewport.

Type:	Integer

Saved:	In the .DWG file

Range:	From 0 to the maximum active viewports

Default:	2

 Variable List


DATE

Stores the current system date and time.

Type:	Real

Saved:	Not saved (read-only)

Range:	0.000000001 to date/time as set by system clock

Default:	As set by system clock

 Variable List


DBMOD

Stores the drawing modification status using bit-code to indicate the current status.

Type:	Integer

Saved:	Not saved (read-only)

Range:	1 (Object database modified), 4 (Database variable modified), 8 (Window modified), 16 (View modified)

 Variable List


DCTCUST

Stores the path and file name of the custom spelling dictionary.

Type:	String

Saved:	In the registry

Range:	" " or any valid path\file to a recognizable custom dictionary

Default:	<" ">

 Variable List


DCTMAIN

Stores the path and file name of the main spelling dictionary.

Type:	String

Saved:	In the registry

Range:	"enu" (American English), "ena" (Australian English), "ens" (British English (ise)), "enz" (British English (ize)), "ca" (Catalan), "cs" (Czech), "da" (Danish), "nl" (Dutch (primary)), "nls" (Dutch (secondary)), "fi" (Finnish), "fr" (French (unaccented capitals)), "fra" (French (accented capitals)), "de" (German (Scharfes s)), "ded" (German (Dopple s)), "it" (Italian), "no" (Norwegian (Bokmal)), "non" (Norwegian (Nynorsk)), "pt" (Portuguese (Iberian)), "ptb" (Portuguese (Brazilian)), "ru" (Russian (infrequent io)), "rui" (Russian (frequent io)), "es" (Spanish (unaccented capitals)), "esa" (Spanish (accented capitals)), "sv" (Swedish)

Default:	Varies by country

 Variable List


DELOBJ

Allows you to retain or delete entities used to create other entities. For example, MIRROR and MIRROR3D are two commands that use this variable to retain or delete the original mirrored entity.

Type:	Integer

Saved:	In the .DWG file

Range:	0 (Objects are retained), 1 (Objects are deleted)

Default:	1

 Variable List


DIASTAT

Stores information about the method used to exit the most recently used dialog box.

Type:	Integer (read-only)

Saved:	Not saved

Range:	0 (Cancel), 1 (OK)

Default:	1

 Variable List


DIMADEC

Determines the number of decimal places used for displaying angular dimension text.

Type:	Integer

Saved:	In the .DWG file

Range:	-1 (Use the number of places set in DIMDEC) 0 – 8 (Use the number of places set in DIMADEC)

Default:	-1

 Variable List


DIMALT

Controls the ability to use alternate unit systems in linear dimensions in addition to the default units.

Type:	Boolean

Saved:	In the .DWG file

Range:	0 (Off=Disable Alternate Units), 1 (On=Enable Alternate Units)

Default:	0

 Variable List


DIMALTD

Not implemented. Required for AutoCAD compatibility only.

Type:	Integer

Saved:	In the .DWG file

Range:	0 – 8

Default:	2

 Variable List


DIMALTF

Not implemented. Required for AutoCAD compatibility only.

Type:	Real

Saved:	In the .DWG file

Range:	>0

Default:	25.4 (The number of millimeters per inch.)

 Variable List


DIMALTTD

Not implemented. Required for AutoCAD compatibility only.

Type:	Integer

Saved:	In the .DWG file

Range:	0 – 8

Default:	2

 Variable List


DIMALTTZ

Not implemented. Required for AutoCAD compatibility only.

Type:	Integer

Saved:	In the .DWG file

Range:	0 (Suppresses zero feet and exactly zero inches), 1 (Includes zero feet and exactly zero inches), 2 (Includes zero feet, suppresses zero inches), 3 (Includes zero inches, suppresses zero feet). Add 4 to these values to suppress leading zeros. Add 8 to suppress trailing zeros.

Default:	0

 Variable List


DIMALTU

Not implemented. Required for AutoCAD compatibility only.

Type:	Integer

Saved:	In the .DWG file

Range:	1 (Scientific), 2 (Decimal), 3 (Engineering), 4 (Architectural - stacked), 5 (Fractional - stacked), 6 (Architectural), 7 (Fractional), 8 (Windows Desktop)

Default:	2

 Variable List


DIMALTZ

Not implemented. Required for AutoCAD compatibility only.

Type:	Integer

Saved:	In the .DWG file

Range:	0 (Suppresses zero feet and exactly zero inches), 1 (Includes zero feet and exactly zero inches), 2 (Includes zero feet, suppresses zero inches), 3 (Includes zero inches, suppresses zero feet, 4 (Suppresses leading zeros in decimal dimensions), 8 (Suppresses trailing zeros in decimal dimensions), 12 (Suppresses both leading and trailing zeros)

Default:	0

 Variable List


DIMAPOST

Not implemented. Required for AutoCAD compatibility only.

Type:	String

Saved:	In the .DWG file

Range:	Any valid unit prefix or suffix

Default:	” "

 Variable List


DIMASO

Toggles on or off the creation of associative dimensions.

Type:	Switch

Saved:	In the .DWG file

Range:	0,1

Default:	1

 Variable List


DIMASZ

Sets the size of the dimension arrowheads.

Type:	Real

Saved:	In the .DWG file

Range:	0 or greater

Default:	0.1800

 Variable List


DIMAUNIT

Controls the unit format for angular dimensions.

Type:	Integer

Saved:	In the .DWG file

Range:	0 to 4

Default:	0

 Variable List


DIMBLK

Substitutes a user-specified block instead of the arrowheads for both ends of a dimension line.

Type:	String

Saved:	In the .DWG file

Default:	" "

 Variable List


DIMBLK1

Substitutes a user-specified block instead of the arrowhead for the first end of the dimension line.

Type:	String

Saved:	In the .DWG file

Default:	" "

 Variable List


DIMBLK2

Substitutes a user-specified block instead of the arrowhead for the second end of the dimension line.

Type:	String

Saved:	In the .DWG file

Default:	" "

 Variable List


DIMCEN

Controls the display of center marks and center lines for circles and arcs. A value of 0 turns off center marks and lines.

Type:	Real

Saved:	In the .DWG file

Range:	+/-

Default:	0.0900

 Variable List


DIMCLRD

Allows you to change the color of the dimension lines, leader, and arrowheads. The color can be any valid color number from 0 to 256.

Type:	Integer

Saved:	In the .DWG file

Range:	0 to 256

Default:	0

 Variable List


DIMCLRE

Sets colors for dimension extension lines. The color can be any valid color number from 0 to 256.

Type:	Integer

Saved:	In the .DWG file

Range:	0 to 256

Default:	0

 Variable List


DIMCLRT

Sets colors for dimension text. The color can be any valid color number from 0 to 256.

Type:	Integer

Saved:	In the .DWG file

Range:	0 to 256

Default:	0

 Variable List


DIMDEC

Sets the decimal display value for dimensions.

Type:	Integer

Saved:	In the .DWG file

Range:	0 to 8

Default:	4

 Variable List


DIMDLE

Controls the distance beyond the extension line that the dimension line extends when using dimension lines with oblique strokes.

Type:	Real

Saved:	In the .DWG file

Range:	0 or greater

Default:	0.0000

 Variable List


DIMDLI

Controls the spacing offset of the dimension lines when drawing baseline dimensions.

Type:	Real

Saved:	In the .DWG file

Range:	0 or greater

Default:	0.3800

 Variable List


DIMEXE

Determines how far extension lines stretch beyond dimension lines.

Type:	Real

Saved:	In the .DWG file

Range:	0 or greater

Default:	0.1800

 Variable List


DIMEXO

Controls the amount of space between the entity being dimensioned and the extension line.

Type:	Real

Saved:	In the .DWG file

Range:	0 or greater

Default:	0.0625

 Variable List


DIMFIT

Places arrowheads and text inside or outside extension lines based on the space available between extension lines.

Type:	Integer

Saved:	In the .DWG file

Range:	0 to 5

Default:	3

 Variable List


DIMGAP

Controls the amount of space before and after the dimension text and the closest end of the dimension line.

Type:	Real

Saved:	In the .DWG file

Range:	+/-

Default:	0.0900

 Variable List


DIMJUST

Sets the horizontal position of the dimension text to one of the following options: centered (0, the default value); next to the first extension line (1); next to the second extension line (2); perpendicular to the first extension line (3); perpendicular to the second extension line (4).

Type:	Integer

Saved:	In the .DWG file

Range:	0 to 4

Default:	0

 Variable List


DIMLFAC

Specifies the scale factor for linear dimensions.

Type:	Real

Saved:	In the .DWG file

Range:	+/-

Default:	1.0000

 Variable List


DIMLIM

Not implemented. Required for AutoCAD compatibility only.

Type:	Switch

Saved:	In the .DWG file

Range:	0,1

Default:	0

 Variable List


DIMPOST

Indicates the prefix or suffix for dimension measurements.

Type:	String

Saved:	In the .DWG file

Default:	“ ”

 Variable List


DIMRND

Allows you to round off dimension measurements to the specified value.

Type:	Real

Saved:	In the .DWG file

Range:	0.0000 or greater

Default:	0.0000

 Variable List


DIMSAH

Toggles on or off the use of custom-defined blocks for dimension arrowheads.

Type:	Boolean

Saved:	In the .DWG file

Range:	0,1

Default:	0

 Variable List


DIMSCALE

Controls the scale factor for variables affecting dimensioning size, distance, and offset.

Type:	Real

Saved:	In the .DWG file

Range:	0 or greater

Default:	1.0000

 Variable List


DIMSD1

Toggles on or off the display of the first dimension line.

Type:	Boolean

Saved:	In the .DWG file

Range:	0,1

Default:	0

 Variable List


DIMSD2

Toggles on or off the display of the second dimension line.

Type:	Boolean

Saved:	In the .DWG file

Range:	0,1

Default:	0

 Variable List


DIMSE1

Toggles on or off the display of the first extension line.

Type:	Boolean

Saved:	In the .DWG file

Range:	0,1

Default:	0

 Variable List


DIMSE2

Toggles on or off the display of the second extension line.

Type:	Boolean

Saved:	In the .DWG file

Range:	0,1

Default:	0

 Variable List


DIMSHO

Controls the update of dimension measurements while increasing or decreasing the size of a dimensioned entity.

Type:	Boolean

Saved:	In the .DWG file

Range:	0,1

Default:	1

 Variable List


DIMSOXD

Toggles on or off the placement of dimension lines outside the extension lines.

Type:	Boolean

Saved:	In the .DWG file

Range:	0,1

Default:	0

 Variable List


DIMSTYLE

Allows you to list the available dimension styles and apply a new style from those available.

Type:	String

Saved:	In the .DWG file

Default:	"STANDARD"

 Variable List


DIMTAD

Determines the vertical placement of dimension text in relation to the dimension line. The default value (0) centers the dimension text between the dimension lines. The other values allow you to place the dimension text above or below the dimension line.

Type:	Integer

Saved:	In the .DWG file

Range:	0 to 3

Default:	0

 Variable List


DIMTDEC

Allows you to specify the number of decimal places to display tolerance values in a dimension.

Type:	Integer

Saved:	In the .DWG file

Range:	0 to 8

Default:	4

 Variable List


DIMTFAC

Not implemented.

Type:	Real

Saved:	In the .DWG file

Range:	Greater than 0

Default:	1.0000

 Variable List


DIMTIH

Positions dimension text inside the extension lines either horizontally (on) or aligned with the dimension line (off).

Type:	Boolean

Saved:	In the .DWG file

Range:	0,1

Default:	1

 Variable List


DIMTIX

Positions dimension text between extension lines.

Type:	Boolean

Saved:	In the .DWG file

Range:	0,1

Default:	0

 Variable List


DIMTM

Not implemented.

Type:	Real

Saved:	In the .DWG file

Default:	0.0000

 Variable List


DIMTOFL

Toggles on or off the drawing of a dimension line between the extension lines when the text is placed outside the measured points.

Type:	Boolean

Saved:	In the .DWG file

Range:	0,1

Default:	1

 Variable List


DIMTOH

Sets the placement of dimension text outside the extension lines. The default value (1) draws text horizontally. Changing the value to off (0) aligns text with the dimension line.

Type:	Boolean

Saved:	In the .DWG file

Range:	0,1

Default:	1

 Variable List


DIMTOL

Not implemented.

Type:	Boolean

Saved:	In the .DWG file

Range:	0,1

Default:	0

 Variable List


DIMTOLJ

Not implemented.

Type:	Integer

Saved:	In the .DWG file

Range:	0 To 2

Default:	1

 Variable List


DIMTP

Not implemented.

Type:	Real

Saved:	In the .DWG file

Range:	+/-

Default:	0.0000

 Variable List


DIMTSZ

Determines the size of the oblique strokes drawn, replacing the arrowheads in linear, radius, and diameter dimensioning.

Type:	Real

Saved:	In the .DWG file

Range:	0 or greater

Default:	0.0000

 Variable List


DIMTVP

Sets the vertical position of dimension text relative to the dimension line.

Type:	Real

Saved:	In the .DWG file

Range:	+/-

Default:	0.0000

 Variable List


DIMTXSTY

Specifies a new value for the dimension text style.

Type:	String

Saved:	In the .DWG file

Default:	"STANDARD"

 Variable List


DIMTXT

Specifies the height of dimension text. If the current text has a fixed height, DIMTXT will not override this setting.

Type:	Real

Saved:	In the .DWG file

Range:	Greater than 0

Default:	0.1800

 Variable List


DIMTZIN

Determines the suppression of zeros in measurements and decimal dimensions when applying tolerance values.

Type:	Integer

Saved:	In the .DWG file

Range:	0 to 15

Default:	0

 Variable List


DIMUNIT

Allows you to set the format for dimension units to the following: Scientific (1), Decimal (2), Engineering (3), Architectural -- stacked (4), Fractional -- stacked (5), Architectural (6), Fractional (7), Windows Desktop (8).

Type:	Integer

Saved:	In the .DWG file

Range:	1 to 8

Default:	2

 Variable List


DIMUPT

Allows you the option of controlling only the dimension line location, or both the dimension line location and the text position.

Type:	Boolean

Saved:	In the .DWG file

Range:	0,1

Default:	0

 Variable List


DIMZIN

Toggles the suppression of zeros in tolerance values.

Type:	Integer

Saved:	In the .DWG file

Range:	0 to 15

Default:	0

 Variable List


DISPSILH

Not implemented.

Type:	Boolean

Saved:	In the .DWG file

Range:	0,1

Default:	0

 Variable List


DISTANCE

Saves the distance calculated by DIST.

Type:	Real

Saved:	Not saved (read-only)

Range:	0 or greater

Default:	0.0000

 Variable List


DONUTID

Specifies the default value for the inside diameter of a donut.

Type:	Real

Saved:	Not saved

Range:	0 or greater

Default:	0.5000

 Variable List


DONUTOD

Specifies the default value for the outside diameter of a donut.

Type:	Real

Saved:	Not saved

Range:	0 or greater

Default:	1.0000

 Variable List


DRAGMODE

Controls the display of entities as you drag them. When set to on, DRAGMODE displays an outline of the entities as you drag them.

Type:	Integer

Saved:	In the .DWG file

Range:	0 to 2

Default:	2

 Variable List


DRAGOPEN
DRAGOPEN [IntelliCAD only]

Inserts or opens a drawing file that has been dragged from the desktop onto the drawing area.

Type:	Integer

Saved:	In the config.

Range:	1 (Dropped drawing will be opened), 0 (Dropped drawing will be inserted)

Default:	1

 Variable List


DWGCODEPAGE

Required for AutoCAD compatibility only.

Type:	String

Saved:	In the .DWG file

Default:	“ansi_1252”

 Variable List


DWGNAME

Stores the drawing name.

Type:	String

Saved:	Not saved (read-only)

Default:	"Drawing1"

 Variable List


DWGPREFIX

Stores the full path for the drawing.

Type:	String

Saved:	Not saved (read-only)

Default:	“C:\Program Files\IntelliCAD 98\”

 Variable List


DWGTITLED

Stores data regarding whether the current drawing has been named or not.

Type:	Integer

Saved:	Not saved

Range:	0,1

Default:	0

 Variable List


EDGEMODE

Controls the cutting and boundary edge settings for the TRIM and EXTEND commands.

Type:	Boolean

Saved:	In the registry

Range:	0,1

Default:	0

 Variable List


ELEVATION

Stores the elevation value in the UCS for the active workspace (model or paper).

Type:	Real

Saved:	In the .DWG file

Range:	+/-

Default:	0.0000

 Variable List


ERRNO

Stores the value of the last error.

Type:	Integer

Saved:	Not saved

Range:	+/-

Default:	0

 Variable List


EXPERT

Limits the details of the prompts displayed in the Command Bar. 0 is the default value to display the most prompts. 5 is the most restrictive, displaying the simplest prompts.

Type:	Integer

Saved:	Not saved

Range:	0 to 5

Default:	0

 Variable List


EXPLEVEL
EXPLEVEL [IntelliCAD only]

Determines the user experience level. You can set the experience level to one of the following: 1=beginner, 2=intermediate, 3=advanced.

Type:	Integer

Saved:	In the registry

Range:	1 to 3

Default:	2

 Variable List


EXPLMODE

Determines whether the EXPLODE command explodes nonuniformly scaled blocks.

Type:	Integer

Saved:	Not saved

Range:	0,1

Default:	1

 Variable List


EXPLSTBLK
EXPLSTBLK [IntelliCAD only]

Controls column width for the Block(s) element settings in the Drawing Explorer.

Type:	Integer

Saved:	In the registry

Range:	+/-

Default:	112, 225, 150

 Variable List


EXPLSTLAY
EXPLSTLAY [IntelliCAD only]

Controls column width for the Layer(s) element settings in the Drawing Explorer.

Type:	Integer

Saved:	In the registry

Range:	+/-

Default:	140, 70, 112, 50, 50, 50

 Variable List


EXPLSTLT
EXPLSTLT [IntelliCAD only]

Controls column width for the Linetype(s) element settings in the Drawing Explorer.

Type:	Integer

Saved:	In the registry

Range:	+/-

Default:	112, 280, 280

 Variable List


EXPLSTTS
EXPLSTTS [IntelliCAD only]

Controls column width for the Styles(s) element settings in the Drawing Explorer.

Type:	Integer

Saved:	In the registry

Range:	+/-

Default:	112, 84, 105, 98, 154

 Variable List


EXPLSTUCS
EXPLSTUCS [IntelliCAD only]

Controls column width for the Coordinate System(s) element settings in the Drawing Explorer.

Type:	Integer

Saved:	In the registry

Range:	+/-

Default:	112, 112, 119, 119

 Variable List


EXPLSTVW
EXPLSTVW [IntelliCAD only]

Controls column width for the View(s) element settings in the Drawing Explorer.

Type:	Integer

Saved:	In the registry

Range:	+/-

Default:	112, 98, 98, 224

 Variable List


EXTMAX

Retains the upper-right point of the drawing extents.

Type:	Point

Saved:	In the .DWG file (read-only)

Range:	+/-

 Variable List


EXTMIN

Retains the lower-left point of the drawing extents.

Type:	Point

Saved:	In the .DWG file (read-only)

Range:	+/-

 Variable List


FACETRES

Not implemented. Required for AutoCAD compatibility only.

Type:	Real

Saved:	In the .DWG file

Range:	0.01 - 10

Default:	0.5000

 Variable List


FASTZOOM
FASTZOOM [IntelliCAD only]

Not implemented.

Type:	Integer

Saved:	In the .DWG file (read-only)

Range:	0, 1

Default:	1

 Variable List


FILEDIA

Toggles on and off the display of the file dialog boxes.

Type:	Boolean

Saved:	In the registry

Range:	0,1

Default:	1

 Variable List


FILLETRAD

Stores the current settings for the fillet radius.

Type:	Real

Saved:	In the .DWG file

Range:	0 or greater

Default:	0

 Variable List


FILLMODE

Determines whether the SOLID command creates filled-in entities.

Type:	Boolean

Saved:	In the .DWG file

Range:	0,1

Default:	1

 Variable List


FONTALT

Provides an alternate font to be used when a font specified in the drawing is unavailable.

Type:	String

Saved:	In the registry

Default:	"txt"

 Variable List


FONTMAP

Designates the font mapping file used by the program when substituting one font for another.

Type:	String

Saved:	In the registry

Default:	“icad.fmp”

 Variable List


GRIDMODE

Toggles the grid on or off.

Type:	Boolean

Saved:	In the .DWG file

Range:	0,1

Default:	0

 Variable List


GRIDUNIT

Stores in the .DWG file the x and y grid spacing for the active viewport.

Type:	Point

Saved:	In the .DWG file

Range:	0 or greater

Default:	X=0.5000, Y=0.5000

 Variable List


GRIPBLOCK

Determines whether only one grip point for a block displays or if the grip points for all the entities in the block display. For example, the value 0 assigns a grip to only the block's insertion point. The value 1 assigns grips to all entities in the block.

Type:	Integer

Saved:	In the registry

Range:	0,1

Default:	0

 Variable List


GRIPCOLOR

Determines the color of unselected grips.

Type:	Integer

Saved:	In the registry

Range:	1 to 255

Default:	3

 Variable List


GRIPHOT

Determines the color of selected grips.

Type:	Integer

Saved:	In the registry

Range:	1 to 255

Default:	1

 Variable List


GRIPS

Toggles on and off the use of selection set grips.

Type:	Integer

Saved:	In the registry

Range:	0,1

Default:	1

 Variable List


GRIPSIZE

Saves the size of the box (in pixels) used to display grips.

Type:	Integer

Saved:	In the registry

Range:	1 to 255

Default:	3

 Variable List


HANDLES

Indicates whether handles are being used in the drawing.

Type:	Integer

Saved:	In the .DWG file

Range:	0,1

Default:	1

 Variable List


HANDSEED

Stores the value for the next available handle name.

Type:	String

Saved:	In the registry (read-only)

Default:	27 (beginning value)

 Variable List


HIGHLIGHT

Toggles object highlighting on or off.

Type:	Integer

Saved:	Not saved

Range:	0,1

Default:	1

 Variable List


HPANG

Sets the angle of the hatch pattern.

Type:	Real

Saved:	Not saved

Range:	0 to 359

Default:	0.0000

 Variable List


HPBOUND

Not implemented. Required for AutoCAD compatibility only.

Type:	Integer

Saved:	Not saved

Range:	0,1

Default:	1

 Variable List


HPDOUBLE

Determines whether cross-hatching is on or off.

Type:	Integer

Saved:	Not saved

Range:	0,1

Default:	0

 Variable List


HPNAME

Stores the default hatch pattern name.

Type:	String

Saved:	Not saved

Default:	“ ”

 Variable List


HPSCALE

Stores the default scale factor for hatch patterns.

Type:	Real

Saved:	Not saved

Range:	0 or greater

Default:	1.0000

 Variable List


HPSPACE

Designates the line spacing in user-defined hatch patterns.

Type:	Real

Saved:	Not saved

Range:	0 or greater

Default:	1.0000

 Variable List


HPSTYLE

Determines the hatch pattern style. 0=Standard pattern style, 1=Outer pattern style, 2=Hatch all.

Type:	Integer

Saved:	Not saved

Range:	0 to 2

Default:	0

 Variable List


ICADVER
ICADVER [IntelliCAD only]

Stores the IntelliCAD version information.

Type:	String

Saved:	In the .DWG (read-only)

Default:	“1.0”

 Variable List


INSBASE

Stores the base point location for inserting a drawing as set by the BASE command.

Type:	Point

Saved:	In the .DWG

Range:	+/-

Default:	X=0.0000, Y=0.0000, Z=0.0000

 Variable List


INSNAME

Specifies a default block name to be used with the INSERT command.

Type:	String

Saved:	Not saved

Default:	“ ”

 Variable List


ISAVEPERCENT

Not implemented.

Type:	Integer

Saved:	In the registry

Range:	0 to 100

Default:	50

 Variable List


ISOLINES

Designates the number of per surface isolines on entities.

Type:	Integer

Saved:	In the .DWG

Range:	0 to 2047

Default:	4

 Variable List


LASTANGLE

Stores the value of the end angle for the last arc created relative to the current user coordinate system (UCS).

Type:	Real

Saved:	Not saved

Range:	0 to 359

Default:	0.0000

 Variable List


LASTCMDPT
LASTCMDPT [IntelliCAD only]

Stores the value of the last point entered relative to the current user coordinate system (UCS).

Type:	Point

Saved:	Not saved

Range:	+/-

Default:	X=0.0000, Y=0.0000, Z=0.0000

 Variable List


LASTPOINT

Stores the value of the last point entered relative to the current user coordinate system (UCS).

Type:	Point

Saved:	Not saved

Range:	+/-

Default:	X=0.0000, Y=0.0000, Z=0.0000

 Variable List


LASTPROMPT

Stores the last prompt string displayed on the command line.

Type:	String

Saved:	Not saved (read-only)

Default:	“ ”

 Variable List


LENSLENGTH

Stores the length of the lens used in the active viewport.

Type:	Double

Saved:	In the .DWG file (read-only)

Default:	50.0000

 Variable List


LIMCHECK

Controls whether you can create entities outside the drawing limits.

Type:	Integer

Saved:	In the .DWG file

Range:	0,1

Default:	0

 Variable List


LIMMAX

Saves the upper-right drawing limits for the active workspace.

Type:	Point

Saved:	In the .DWG file

Range:	+/-

Default:	X=12.0000, Y=9.0000, Z=0.0000

 Variable List


LIMMIN

Saves the lower-left drawing limits for the active workspace.

Type:	Point

Saved:	In the .DWG file

Range:	+/-

Default:	X=0.0000, Y=0.0000, Z=0.0000

 Variable List


LOCALE

Displays the Windows locale setting.

Type:	String

Saved:	In the registry

Default:	“en”

 Variable List


LOGFILEMODE

Toggles whether the commands executed in the program are maintained in a log file or not.

Type:	Integer

Saved:	In the registry

Range:	0,1

Default:	0

 Variable List


LOGFILENAME

Sets the path for the log file.

Type:	String

Saved:	In the registry

Default:	"icad.log"

 Variable List


LOGINNAME

Displays the name of the registered user.

Type:	String

Saved:	In the registry

Default:	"IntelliCAD User"

 Variable List


LONGFNAME
LONGFNAME [IntelliCAD only]

Toggles on and off the support for long file names.

Type:	Integer

Saved:	In the registry

Range:	0, 1

Default:	"IntelliCAD User"

 Variable List


LTSCALE

Sets the default linetype scale factor.

Type:	Real

Saved:	In the .DWG file

Range:	Greater than 0

Default:	1.0000

 Variable List


LTSCLWBLK
LTSCLWBLK [IntelliCAD only]

Determines whether the global linetype scale will be applied to an inserted block.

Type:	Integer

Saved:	In the .DWG file

Range:	0, 1

Default:	1

 Variable List


LUNITS

Sets the default linear units. You can set the value to one of the following: 1=Scientific, 2=Decimal, 3=Engineering, 4=Architectural, 5=Fractional.

Type:	Integer

Saved:	In the .DWG file

Range:	1 to 5

Default:	2

 Variable List


LUPREC

Controls the number of decimal places shown for coordinate display and linear units in commands.

Type:	Integer

Saved:	In the .DWG file

Range:	0 to 8

Default:	4

 Variable List


LWPOLYOUT
LWPOLYOUT [IntelliCAD only]

Controls whether the program converts normal polylines to lightweight polylines when saving a drawing file. The default value (1) converts polylines to lightweight polylines. Changing the value to 0 specifies that polylines will not convert to lightweight polylines.

Type:	Integer

Saved:	In the config

Range:	0,1

Default:	1

 Variable List


MACROREC
MACROREC [IntelliCAD only]

Toggles on or off the macro recorder.

Type:	Integer

Saved:	Not saved

Range:	0,1

Default:	0

 Variable List


MACROTRACE

Toggles on or off MACROTRACE.

Type:	Integer

Saved:	Not saved

Range:	0,1

Default:	0

 Variable List


MAKEBAK
MAKEBAK [IntelliCAD only]

Stores an older version of a drawing file with a .bak extension each time the drawing is saved. Changing the default value of 1 to 0 causes the program to overwrite the old version of the file with the new version each time the drawing file is saved.

Type:	Boolean

Saved:	In the config

Range:	0-1

Default:	1

 Variable List


MAXACTVP

Designates the maximum number of viewports you can open at any given time.

Type:	Integer

Saved:	In the .DWG

Range:	Greater than 1

Default:	48

 Variable List


MAXSORT

Not implemented.

Type:	Integer

Saved:	In the registry

Range:	0 to 32767

Default:	200

 Variable List


MEASUREMENT

Controls whether drawing units display as English or metric measurements.

Type:	Integer

Saved:	In the .DWG

Range:	0,1

Default:	0

 Variable List


MENUCTL

Not implemented.

Type:	Integer

Saved:	In the registry

Range:	0,1

Default:	1

 Variable List


MENUECHO

Not implemented.

Type:	Integer

Saved:	Not saved

Range:	0 to 15

Default:	0

 Variable List


MENUNAME

Not implemented.

Type:	String

Saved:	In the .DWG file

Default:	“.”

 Variable List


MIRRTEXT

Controls the appearance of text modified by the MIRROR command. For example, the default value of 1 mirrors the text, changing the text direction. The value 0 retains the text direction.

Type:	Integer

Saved:	In the .DWG

Range:	0,1

Default:	1

 Variable List


MODEMACRO

Includes a user-defined text string in the status line. For example, you can write text strings to display a time/date stamp, the name of the active drawing, or to indicate special modes.

Type:	String

Saved:	Not saved

Default:	“ ”

 Variable List


MTEXTED

Not implemented.

Type:	String

Saved:	In the registry

Default:	“ ”

 Variable List


MWHEELDN
MWHEELDN [IntelliCAD only]

Stores a menu macro defining what command the program will activate when you roll the mouse wheel down.

Type:	String

Saved:	In the registry

Default:	" '.ZOOM;0.8X;"

 Variable List


MWHEELUP
MWHEELUP [IntelliCAD only]

Stores a menu macro defining what command the program will activate when you roll the mouse wheel up.

Type:	String

Saved:	In the registry

Default:	" '.ZOOM;1.25X;"

 Variable List


NFILELIST
NFILELIST [IntelliCAD only]

Shows the number of files in the most recently used list in the File menu.

Type:	Integer

Saved:	In the registry

Range:	0 to 10

Default:	4

 Variable List


OFFSETDIST

Changes the default setting for the offset distance. For example, use a value greater than 0 to offset a new entity a specific distance away from the original entity on the side indicated. Use a value less than 0 to offset the new entity through a specific point.

Type:	Real

Saved:	Not saved

Default:	-1.0000

 Variable List


ORTHOMODE

Restricts cursor movement to perpendicular directions relative to the UCS and grid rotation angle.

Type:	Integer

Saved:	In the .DWG

Range:	0,1

Default:	0

 Variable List


OSMODE

Turns on various entity snap settings using a combination of bit codes.

0 = Clear entity snaps

1 = Endpoint snap

2 = Midpoint snap

4 = Center snap

8 = Point snap

16 = Quadrant snap

32 = Intersection snap

64 = Insertion point snap

128 = Perpendicular snap

256 = Tangent snap

512 = Nearest snap

1024 = Quick snap

4096 = Plan view intersection snap

To activate more than one entity snap at a time, add the bit codes of the entity snaps you want to activate. For example, entering 3 activates both the endpoint snap (bit code 1) and the midpoint snap (bit code 2).

Type:	Integer

Saved:	In the .DWG file

Range:	0 to 32767

Default:	0

 Variable List


PDMODE

Controls the appearance of the point that displays when you activate the POINT command. PDMODE allows you to specify the following point styles:

Type:	Integer

Saved:	In the .DWG

Range:	0 to 4, 32, 33, 34, 35, 36, 64, 65, 66, 67, 68, 96, 97, 98, 99, 100

Default:	0

 Variable List


PDSIZE

Controls the point display size. The default value (0) specifies a point size 5% of the screen size. A value greater than 0 specifies the absolute size, and a value less than 0 specifies a percentage size.

Type:	Real

Saved:	In the .DWG

Range:	+/-

Default:	0.0000

 Variable List


PELLIPSE

Controls whether the entity drawn with the ELLIPSE command is a true ellipse or a polyline representation of that ellipse. The default value of 0 draws a true ellipse. Changing the value to 1 creates an ellipse made up of polylines.

Type:	Integer

Saved:	In the .DWG file

Range:	0,1

Default:	0

 Variable List


PERIMETER

Retains the most recent perimeter value calculated by the AREA and LIST commands.

Type:	Real

Saved:	Not saved

Default:	0.0000

 Variable List


PFACEVMAX

Controls the maximum number of vertices allowed per face.

Type:	Integer

Saved:	Not saved

Range:	3 or greater

Default:	4

 Variable List


PICKADD

Controls how entities are added to a selection set. When set to on, each entity selected is added to the current selection set. When turned off, the most recently selected entity becomes the selection set and previously selected entities are no longer part of the selection set.

Type:	Boolean

Saved:	In the registry

Range:	0,1

Default:	0

 Variable List


PICKAUTO

Controls use of the selection window at the Select Entities prompt.

Type:	Boolean

Saved:	In the registry

Range:	0,1

Default:	1

 Variable List


PICKBOX

Specifies the target height for entity selection.

Type:	Integer

Saved:	In the registry

Range:	0 to 32767

Default:	3

 Variable List


PICKDRAG

Allows you to draw a selection window using two points or by dragging the selection window from corner to corner.

Type:	Integer

Saved:	In the registry

Range:	0,1

Default:	0

 Variable List


PICKFIRST

Determines whether you select entities before or after issuing a command.

Type:	Integer

Saved:	In the registry

Range:	0,1

Default:	1

 Variable List


PICKSTYLE

Specifies the use of associative hatch and group selection.

Type:	Integer

Saved:	In the .DWG

Range:	0 to 3

Default:	1

 Variable List


PKSER
PKSER [IntelliCAD only]

Contains the product identification number. (AutoCAD version of this command is _PKSER. IntelliCAD supports both PKSER and _PKSER)

Type:	String

Saved:	In the registry (read-only)

Default:	" "

 Variable List


PLATFORM

Indicates on which platform IntelliCAD is running.

Type:	String

Saved:	Not saved

Range:	Microsoft Windows 95 or Windows NT

Default:	"Microsoft Windows 95 Version 4.0"

 Variable List


PLINEGEN

Determines whether the linetype used around the vertices of a polyline are continuous or dashed. The default value (0) sets the linetype around the vertex to a dash. Setting the value to 1 changes the linetype to a continuous pattern around the vertex of the polyline.

Type:	Integer

Saved:	In the .DWG file

Range:	0,1

Default:	0

 Variable List


PLINETYPE

Not implemented.

Type:	Integer

Saved:	In the registry

Range:	0 to 2

Default:	2

 Variable List


PLINEWID

Sets the default polyline width to a value of 0 (the default) or greater.

Type:	Real

Saved:	In the .DWG file

Range:	0 or greater

Default:	0.0000

 Variable List


PLOTID

Not implemented. Required for AutoCAD compatibility only.

Type:	String

Saved:	In the registry

Default:	"Default System Printer"

 Variable List


PLOTROTMODE

Not implemented. Required for AutoCAD compatibility only.

Type:	Integer

Saved:	In the registry

Range:	0,1

Default:	1

 Variable List


PLOTTER

Not implemented. Required for AutoCAD compatibility only.

Type:	Integer

Saved:	In the registry

Range:	Greater than or equal to 0

Default:	0

 Variable List


POLYSIDES

Specifies the default number of sides for the POLYGON command.

Type:	Integer

Saved:	Not saved

Range:	3 to 1024

Default:	4

 Variable List


POPUPS

Not implemented.

Type:	Integer

Saved:	Not saved (read-only)

Range:	0,1

Default:	1

 Variable List


PROGBAR

Toggles on and off the display of the progress bar.

Type:	Integer

Saved:	In the registry

Range:	0,1

Default:	1

 Variable List


PROJMODE

Specifies the projection mode used with the with the TRIM and EXTEND commands.

Type:	Integer

Saved:	In the registry

Range:	0 to 2

Default:	1

 Variable List


PROMPTMENU

Toggles on and off the display of the prompt menu.

Type:	Integer

Saved:	In the registry

Range:	0,1

Default:	1

 Variable List


PROXYGRAPHICS

Not implemented. Required for AutoCAD compatibility only.

Type:	Integer

Saved:	In the .DWG

Range:	0,1

Default:	0

 Variable List


PSLTSCALE

Not implemented. Required for AutoCAD compatibility only.

Type:	Integer

Saved:	In the .DWG file

Range:	0,1

Default:	1

 Variable List


PSPROLOG

Not implemented. Required for AutoCAD compatibility only.

Type:	String

Saved:	In the registry

Default:	“ ”

 Variable List


PSQUALITY

Not implemented. Required for AutoCAD compatibility only.

Type:	Integer

Saved:	In the registry

Range:	-32768 to 32767

Default:	75

 Variable List


QTEXTMODE

Toggles Quick Text on and off. When the Quick Text value is set to on (1), text entities are replaced by rectangular boxes. When the Quick Text value is set to off (0), text displays normally.

Type:	Integer

Saved:	In the .DWG file

Range:	0,1

Default:	0

 Variable List


REGENMODE

Toggles on and off the REGENAUTO command. When the value is set to on (1), your drawing automatically regenerates. When the value is set to off (0), your drawing will not automatically regenerate.

TIP To save time when you are working in a large drawing, turn REGENMODE off.

Type:	Integer

Saved:	In the .DWG file

Range:	0,1

Default:	1

 Variable List


RE-INIT

Reinitializes the icad.pgp file. The icad.pgp file stores the default program aliases.

Type:	Integer (read-only)

Saved:	Not saved

Range:	0,1

Default:	0

 Variable List


SAVEFILE

Stores the extension for the auto-save file name.

Type:	String

Saved:	In the registry

Default:	".SV$"

 Variable List


SAVENAME

Stores the file name, including full directory path, of the active drawing.

Type:	String

Saved:	Not saved (read-only)

Default:	" "

 Variable List


SAVETIME

Allows you to set the time interval at which the program automatically saves your drawing. Any value greater than 0 specifies the time in minutes for automatic save to occur. A value of 0 turns off the automatic save feature.

Type:	Integer

Saved:	In the registry

Range:	0 to 32767

Default:	60

 Variable List


SCREENMODE

Retains the information about the display of text and graphics. 0 = text screen is displayed, 1=graphics screen is displayed, 2= both screens are displayed.

Type:	Integer (read-only)

Saved:	In the registry

Range:	0 to 2

Default:	0

 Variable List


SCREENSIZE

Stores the size of the drawing window in pixels.

Type:	Point

Saved:	Not saved (read-only)

 Variable List


SCRLHIST
SCRLHIST [IntelliCAD only]

Sets the number of command lines to track in the command bar.

Type:	Integer

Saved:	In the registry

Range:	0 or greater

Default:	256

 Variable List


SHADEDGE

Determines shading of edges when using the SHADE command. The default value (3) displays edges in the background color and faces in the entity color. A value of 0 shades the faces without highlighting the edges. A value of 1 shades the faces and draws the edges in the background color. A value of 2 does not shade the faces and leaves the edges in the background color.

Type:	Integer

Saved:	In the .DWG file

Range:	0 to 3

Default:	3

 Variable List


SHADEDIF

Not implemented. Required for AutoCAD compatibility only.

Type:	Integer

Saved:	In the .DWG file

Range:	0 to 100

Default:	70

 Variable List


SHPNAME

Not implemented. Required for AutoCAD compatibility only.

Type:	String

Saved:	Not saved

Default:	" "

 Variable List


SKETCHINC

Sets the line segment increment for the FREEHAND command.

Type:	Real

Saved:	In the .DWG file

Range:	0 or greater

Default:	0.1000

 Variable List


SKPOLY

Specifies whether the FREEHAND command creates lines or polylines.

Type:	Integer

Saved:	In the .DWG file

Range:	0,1

Default:	0

 Variable List


SNAPANG

Determines the rotation angle for both the snap and reference grids. Entities snap to these grids at the angle specified.

Type:	Real

Saved:	In the .DWG file

Range:	0 to 359

Default:	0.0000

 Variable List


SNAPBASE

Defines the xy location of the grid origin in the current viewport relative to the active UCS.

Type:	Point

Saved:	In the .DWG file

Default:	X=0.0000, Y=0.0000

 Variable List


SNAPISOPAIR

Sets the crosshairs to an isometric plane. The default value (0) sets the crosshairs to the left plane. A value of 1 sets the crosshairs to the top plane, and a value of 2 sets the crosshairs to the right plane.

Type:	Integer

Saved:	In the .DWG

Range:	0 to 2

Default:	0

 Variable List


SNAPMODE

Determines whether snap settings are on or off for the current viewport.

Type:	Integer

Saved:	In the .DWG file

Range:	0,1

Default:	0

 Variable List


SNAPSTYL

Sets the snap style for the active viewport to either standard (0) or isometric (1).

Type:	Integer

Saved:	In the .DWG file

Range:	0,1

Default:	0

 Variable List


SNAPUNIT

Sets the snap spacing in the x and y direction.

Type:	Point

Saved:	In the .DWG file

Range:	Greater than 0

Default:	X=0.5000, Y=0.5000, Z=0.0000

 Variable List


SORTENTS

Controls the order in which entities are sorted for such operations as entity selection and snap, redraws and regens, and plotting and Postscript output.

Type:	Integer

Saved:	In the .DWG

Range:	1 to 127

Default:	96

 Variable List


SPLFRAME

Controls whether splines display with or without the polygon created from the specified control points. The default value (0) displays the spline without the control polygon. Changing the value to 1 displays both the spline and its corresponding polygon.

Type:	Integer

Saved:	In the .DWG file

Range:	0,1

Default:	0

 Variable List


SPLINESEGS

Works in conjunction with PEDIT Spline to specify the number of line segments created when turning a polygon into a spline. If you select a negative number, the number converts to the absolute value.

Type:	Integer

Saved:	In the .DWG

Range:	-32768 to 32767

Default:	8

 Variable List


SPLINETYPE

Determines the type of spline curve created when using the PEDIT command to transform a polyline into a spline.

Type:	Integer

Saved:	In the .DWG file

Range:	1 to 20

Default:	6

 Variable List


SRCHPATH
SRCHPATH [IntelliCAD only]

Stores the search path for IntelliCAD files.

Type:	String

Saved:	In the registry

Default:	" "

 Variable List


SURFTAB1

Sets the number of facets generated for the RULESURF and TABSURF commands.

Type:	Integer

Saved:	In the .DWG file

Range:	2 to 32766

Default:	6

 Variable List


SURFTAB2

Controls the N-direction mesh density for EDGESURF and REFSURF.

Type:	Integer

Saved:	In the .DWG

Range:	2 to 32766

Default:	6

 Variable List


SURFTYPE

Controls the type of surface the PEDIT Smooth command will fit. These surface types include quadratic B-splines, cubic B-splines, and Bezier curves.

Type:	Integer

Saved:	In the .DWG file

Range:	5, 6, 8

Default:	6

 Variable List


SURFU

Sets the surface density in the primary direction for the 3DMESH command.

Type:	Integer

Saved:	In the .DWG file

Range:	2 to 200

Default:	6

 Variable List


SURFV

Sets the surface density in the secondary direction for the 3DMESH command.

Type:	Integer

Saved:	In the .DWG file

Range:	2 to 200

Default:	6

 Variable List


SYSCODEPAGE

Specifies the system code page.

Type:	String

Saved:	Not saved (read-only)

Default:	"ANSI_1252"

 Variable List


TABMODE

Not implemented. Required for AutoCAD compatibility only.

Type:	Integer

Saved:	Not saved

Range:	0,1

Default:	0

 Variable List


TARGET

Defines the xyz coordinates of the target point for the current UCS.

Type:	Point

Saved:	In the .DWG file

Default:	X=0.0000, Y=0.0000, Z=0.0000

 Variable List


TBCOLOR
TBCOLOR [IntelliCAD only]

Changes the toolbar color setting from color (1) to monochrome (0).

Type:	Integer

Saved:	In the registry

Range:	0,1

Default:	1

 Variable List


TBSIZE
TBSIZE [IntelliCAD only]

Changes the tool size from small (0) to large (1).

Type:	Integer

Saved:	In the registry

Range:	0, 1

Default:	0

 Variable List


TDCREATE

Stores the time and date you created your drawing.

Type:	Real

Saved:	In the .DWG file (read-only)

 Variable List


TDINDWG

Stores the amount of time you spend editing your drawing.

Type:	Real

Saved:	In the .DWG file

 Variable List


TDUPDATE

Stores the time and date of the last time you saved your drawing.

Type:	Real

Saved:	In the .DWG file

 Variable List


TDUSRTIMER

Stores the amount of time the user spent in the drawing.

Type:	Real

Saved:	In the .DWG file

Range:	0 or greater

Default:	0.0000

 Variable List


TEMPPREFIX

Stores the path where temporary files are located.

Type:	String

Saved:	Not saved

Default:	" " or any valid path to temporary files

 Variable List


TEXTANGLE
TEXTANGLE [IntelliCAD only]

Stores the default setting for the text angle.

Type:	Integer

Saved:	Not saved

Default:	0

 Variable List


TEXTEVAL

Determines if a text string is treated as a LISP expression.

Type:	Integer

Saved:	Not saved

Range:	0,1

Default:	0

 Variable List


TEXTFILL

Not implemented. Required for AutoCAD compatibility only.

Type:	Integer

Saved:	In the registry

Range:	0,1

Default:	1

 Variable List


TEXTQLTY

Not implemented. Required for AutoCAD compatibility only.

Type:	Integer

Saved:	In the registry

Range:	0 to 100

Default:	50

 Variable List


TEXTSIZE

Sets the value for the default text size.

Type:	Real

Saved:	In the .DWG file

Range:	0 or greater

Default:	0.2

 Variable List


TEXTSTYLE

Sets the value for the default text style

Type:	String

Saved:	In the .DWG file

Default:	"STANDARD"

 Variable List


THICKNESS

Sets the value for the default thickness.

Type:	Real

Saved:	In the .DWG file

Range:	+/-

Default:	0.0000

 Variable List


TILEMODE

Toggles on or off tilemode, allowing you to access paper space and model space with floating viewports. When set to a value of 1 (on), you have access to model space with tiled viewports.

Type:	Integer

Saved:	In the .DWG file

Range:	0,1

Default:	1

 Variable List


TIPOFDAY
TIPOFDAY [IntelliCAD only]

Toggles on or off the Tip of the Day dialog box.

Type:	Integer

Saved:	In the registry

Range:	0,1

Default:	1

 Variable List


TOOLTIPS

Toggles on or off tooltips.

Type:	Integer

Saved:	In the registry

Range:	0,1

Default:	1

 Variable List


TRACEWID

Stores the value for the default trace width.

Type:	Real

Saved:	In the .DWG file

Range:	0 or greater

Default:	0.0500

 Variable List


TREEDEPTH

Not implemented. Required for AutoCAD compatibility only.

Type:	Integer

Saved:	In the .DWG file

Range:	-32768 to 32767

Default:	3020

 Variable List


TREEMAX

Not implemented. Required for AutoCAD compatibility only.

Type:	Integer

Saved:	In the registry

Default:	10000000

 Variable List


TRIMMODE

Controls the trimming of filleted and chamfered edges.

Type:	Integer

Saved:	In the registry

Range:	0,1

Default:	1

 Variable List


UCSFOLLOW

Displays the plan view in the user coordinate system (UCS) when you change the UCS.

Type:	Integer

Saved:	In the .DWG file

Range:	0,1

Default:	0

 Variable List


UCSICON

Changes the placement and display of the UCS icon. The available options include turning the UCS icon on and off, displaying it in all views, displaying it at the origin, and displaying it in the corner.

Type:	Integer

Saved:	In the .DWG file

Range:	0-3

Default:	1

 Variable List


UCSNAME

Sets the name of the user coordinate system for the active workspace.

Type:	String

Saved:	In the .DWG file

Default:	" "

 Variable List


UCSORG

Sets the xyz origin point of the coordinate system for the active workspace.

Type:	Point

Saved:	In the .DWG file

Range:	+/-

Default:	X=0.0000, Y=0.0000, Z=0.0000

 Variable List


UCSXDIR

Retains the x direction of the active user coordinate system (UCS) for the active workspace.

Type:	Point

Saved:	In the .DWG file (read-only)

Range:	+/-

Default:	X=1.0000, Y=0.0000, Z=0.0000

 Variable List


UCSYDIR

Retains the y direction of the active user coordinate system (UCS) for the active workspace.

Type:	Point

Saved:	In the .DWG file (read-only)

Range:	+/-

Default:	X=0.0000, Y=1.0000, Z=0.0000

 Variable List


UNDOCTL

Retains the bit-code value for the UNDO command. This is represented by the sum of the following values: 0=UNDO is off, 1=UNDO is on, 2=UNDO affects only one command, 4=activates the Auto option.

Type:	Integer

Saved:	Not saved

Range:	Greater than 0

Default:	5

 Variable List


UNDOMARKS

Saves the number of UNDO marks that you have inserted when using the Mark option in the UNDO command.

Type:	Integer

Saved:	Not saved

Range:	Greater than 0

Default:	0

 Variable List


UNITMODE

Toggles on and off the following display formats for units: fractional, feet-and-inches, and surveyor's angles.

Type:	Integer

Saved:	In the .DWG file

Range:	0,1

Default:	0

 Variable List


USERI1

User- or application-defined integer value.

Type:	Integer

Saved:	In the .DWG file

Range:	-32768 to 32767

Default:	0

 Variable List


USERI2

User- or application-defined integer value.

Type:	Integer

Saved:	In the .DWG file

Range:	-32768 to 32767

Default:	0

 Variable List


USERI3

User- or application-defined integer value.

Type:	Integer

Saved:	In the .DWG file

Range:	-32768 to 32767

Default:	0

 Variable List


USERI4

User- or application-defined integer value.

Type:	Integer

Saved:	In the .DWG file

Range:	-32768 to 32767

Default:	0

 Variable List


USERI5

User- or application-defined integer value.

Type:	Integer

Saved:	In the .DWG file

Range:	-32768 to 32767

Default:	0

 Variable List


USERR1

User- or application-defined real value.

Type:	Real

Saved:	In the .DWG file

Default:	0.0000

 Variable List


USERR2

User- or application-defined real value.

Type:	Real

Saved:	In the .DWG file

Default:	0.0000

 Variable List


USERR3

User- or application-defined real value.

Type:	Real

Saved:	In the .DWG file

Default:	0.0000

 Variable List


USERR4

User- or application-defined real value.

Type:	Real

Saved:	In the .DWG file

Default:	0.0000

 Variable List


USERR5

User- or application-defined real value.

Type:	Real

Saved:	In the .DWG file

Default:	0.0000

 Variable List


USERS1

User- or application-defined string value.

Type:	String

Saved:	Not saved

Default:	" "

 Variable List


USERS2

User- or application-defined string value.

Type:	String

Saved:	Not saved

Default:	" "

 Variable List


USERS3

User- or application-defined string value.

Type:	String

Saved:	Not saved

Default:	" "

 Variable List


USERS4

User- or application-defined string value.

Type:	String

Saved:	Not saved

Default:	" "

 Variable List


USERS5

User- or application-defined string value.

Type:	String

Saved:	Not saved

Default:	" "

 Variable List


VIEWASPECT
VIEWASPECT [IntelliCAD only]

Stores the aspect ratio of the view.

Type:	Real

Saved:	In the .DWG

Range:	+/-

Default:	1.0000

 Variable List


VIEWCTR

Stores the value of the center of the view in the active viewport.

Type:	Point

Saved:	In the .DWG file (read-only)

Range:	+/-

Default:	X=7.5854, Y=4.5000, Z=0.0000

 Variable List


VIEWDIR

Stores the active viewport's viewing direction.

Type:	Point

Saved:	In the .DWG file (read-only)

Range:	+/-

Default:	X=0.0000, Y=0.0000, Z=1.0000

 Variable List


VIEWMODE

Retains the value indicating whether perspective view is turned on or off.

Type:	Integer

Saved:	In the .DWG file (read-only)

Range:	0,1

Default:	0

 Variable List


VIEWSIZE

Retains the value in drawing units indicating the view height in the active viewport.

Type:	Real

Saved:	In the .DWG file (read-only)

Default:	9.0000

 Variable List


VIEWTWIST

Retains the value entered in the Twist option of the DVIEW command. Also, retains the amount of twist around the Z axis in the active UCS.

Type:	Real

Saved:	In the .DWG file (read-only)

Default:	0.0000

 Variable List


VISRETAIN

Sets layer visibility in xref files.

Type:	Integer

Saved:	In the .DWG file

Range:	0,1

Default:	1

 Variable List


VSMAX

Retains the xyz coordinates of the upper-right corner of the active viewport.

Type:	Point

Saved:	Not saved

Default:	X 10.0000 Y 10.0000 Z 0.0000

 Variable List


VSMIN

Retains the xyz coordinates of the lower-left corner of the active viewport.

Type:	Point

Saved:	Not saved

Default:	X=0.0000, Y=0.0000, Z=0.0000

 Variable List


WNDBTEXP

Controls the width of the list pane in the Drawing Explorer.

Type:	Integer

Saved:	In the registry

Range:	+/-

Default:	200

 Variable List


WNDLCMD

Controls command bar visibility and position.

0=Hides command bar

1=Command bar is visible and floating

2=Command bar displays at the top of your screen

3= Command bar displays at the bottom of your screen

Type:	Integer

Saved:	In the registry

Range:	0 to 3

Default:	0

 Variable List


WNDLMAIN

Controls the display of the main window.

0=Normal

1=Minimized

2=Maximized

Type:	Integer

Saved:	Not saved

Range:	0 to 2

Default:	0

 Variable List


WNDLMDI

Controls the display of the multiple-document interface (MDI) child window.

0=Normal

1=Minimized

2=Maximized

Type:	Integer

Saved:	Not saved

Range:	0-2

Default:	2

 Variable List


WNDLSTAT

Controls the display of the status bar.

0=Hides status bar

1=Displays status bar

Type:	Integer

Saved:	In the registry

Range:	0,1

Default:	1

 Variable List


WNDLTEXP

Controls the display of the Drawing Explorer window.

0=Normal

1=Minimized

2=Maximized

Type:	Integer

Saved:	Not saved

Range:	0 to 2

Default:	1

 Variable List


WNDLTEXT

Controls the display of the Prompt History window.

Type:	Integer

Saved:	In the registry

Range:	0 to 3

Default:	1

 Variable List


WNDPCMD

Sets the floating command bar window position in screen coordinates.

Type:	Point

Saved:	In the registry

Range:	+/-

 Variable List


WNDPMAIN

Sets the main drawing window position in screen coordinates.

Type:	Point

Saved:	In the registry

Range:	+/-

Default:	X=62.0000, Y=7.0000, Z=0.0000

 Variable List


WNDPPMENU

Sets the prompt menu position in screen coordinates.

Type:	Point

Saved:	In the registry

Default:	X=59.0000, Y=231.0000

 Variable List


WNDPTEXP

Sets the Drawing Explorer window position in screen coordinates.

Type:	Point

Saved:	In the registry

Default:	X=0.0000, Y=0.0000, Z=0.0000

 Variable List


WNDPTEXT

Sets the text screen window position in screen coordinates.

Type:	Point

Saved:	In the registry

 Variable List


WNDSCMD

Sets the floating command bar window size.

Type:	Point

Saved:	In the registry

Default:	X=640.0000, Y=66.0000

 Variable List


WNDSMAIN

Sets the main application window size.

Type:	Point

Saved:	In the registry

 Variable List


WNDSTEXP

Sets the Drawing Explorer window size.

Type:	Point

Saved:	In the registry

Default:	X=0.0000, Y=0.0000, Z=0.0000

 Variable List


WNDSTEXT

Sets the text screen window size.

Type:	Point

Saved:	In the registry

 Variable List


WORLDUCS

Specifies whether the user coordinate system (UCS) is the same as the World Coordinate System (WCS).

Type:	Integer

Saved:	Not saved (read-only)

Range:	0,1

Default:	1

 Variable List


WORLDVIEW

Controls whether the user coordinate system (UCS) aligns with the World Coordinate System (WCS) for the DVIEW and VPOINT commands.

Type:	Integer

Saved:	In the .DWG file

Range:	0 or 1

Default:	1

 Variable List


XCLIPFRAME

Not implemented. Required for AutoCAD compatibility only.

Type:	Integer

Saved:	In the .DWG file

Range:	0 or 1

Default:	0

 Variable List


XLOADCTL

Not implemented. Required for AutoCAD compatibility only.

Type:	Integer

Saved:	In the registry

Range:	0-2

Default:	1

 Variable List


XLOADPATH

Not implemented. Required for AutoCAD compatibility only.

Type:	String

Saved:	In the registry

Default:	“”

 Variable List


XREFCTL

Not implemented. Required for AutoCAD compatibility only.

Type:	Integer

Saved:	In the registry

Range:	0, 1

Default:	0

 Variable List


ZOOMPERCENT
ZOOMPERCENT [IntelliCAD only]

Sets the incremental zoom percentage used for zooming in or out.

Type:	Integer

Saved:	In the .DWG file

Range:	1 to 20000

Default:	100

 Variable List